package canvas.scene3d.actions;

import canvas.scene3d.Action3D;
import canvas.scene3d.SceneNode3D;

public class AddAction extends Action3D {
   
    public boolean act (double delta) {
            return true;
    }

    public SceneNode3D getTargetActor() {
		return null;
    }

    /** Sets the actor to add an action to. If null (the default), the {@link #getActor() actor} will be used. */
    public void setTargetActor(SceneNode3D actor) {
            
    }

    public Action3D getAction () {
		return null;

    }

    public void setAction(Action3D action) {
           
    }

    public void restart () {
           
    }

    public void reset () {
            
    }
}